clear
clc
Fs=10000; %采样频率
Fc=1000; %载波频率
T=0.1; %观察区间
Ns=Fs*T; %信号观察总长度
t=0:1/Fs:(Ns-1)/Fs;
A0=6;  %调制偏移电平
x=2*cos(2*pi*50*t)+cos(2*pi*20*t);%原始调制信号 
u1=ammod(x,Fc,Fs,0,A0);%已调AM信号
snr=-5;
u1z=awgn(u1,snr);
w1=(Fc-50)*2/Fs;
w2=(Fc+50)*2/Fs;
[b,a]=butter(5,[w1,w2]);
u1zd=filter(b,a,u1z);
z = amdemod(u1zd,Fc,Fs,0,A0);
subplot(5,1,1);plot(x);
title('原始调制波形')
subplot(5,1,2);plot(u1)
title('AM已调波形')
subplot(5,1,3);plot(u1z)
title('叠加噪声波形')
subplot(5,1,4);plot(u1zd)
title('带通滤波后波形')
subplot(5,1,5);plot(z)
title('解调后波形')
axis([0 1000 -5 5])
